Dtaus2Pdf
Date: 2015-04-26

de.jost_net.OBanToo.Dtaus

## Class Dtaus2Pdf

- java.lang.Object
- - de.jost_net.OBanToo.Dtaus.Dtaus2Pdf

-     public class Dtaus2Pdf
      extends java.lang.Object

  Ausgabe von DTAUS-Dateien im PDF-Format

  Mit dieser Klasse können DTAUS-Dateien ins PDF-Format konvertiert werden. Sind in einer DTAUS-Datei mehrere logische Dateien enthalten, werden alle logischen Dateien ausgegeben.

  Die Klasse verfügt über eine Main-Methode und kann daher auch stand-alone genutzt werden. Der Aufruf erfolgt mit java -cp ... de.jost_net.OBanToo.Dtaus dtausfile pdffile

  Hinweis! Für die PDF-Generierung wird iText benötigt. iText kann hier bezogen werden. Das iText.jar muß sich im Classpath befinden.

  Author:
    Heiner Jostkleigrewe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dtaus2Pdf(java.lang.String dtausfile, java.lang.String pdffile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private PdfPCell` | `getDetailCell(java.lang.String text, int align)` Erzeugt eine Zelle der Tabelle.
    `private PdfPCell` | `getDetailCell(java.lang.String text, int align, BaseColor backgroundcolor)` Erzeugt eine Zelle der Tabelle.
    `static void` | `main(java.lang.String[] args)`
    `private java.lang.String` | `notNull(java.lang.String text)` Gibt einen Leerstring aus, falls der Text null ist.
    `private void` | `outputASatz(DtausDateiParser in, Document doc, int logischeDatei)`
    `private void` | `outputESatz(DtausDateiParser in, Document doc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dtaus2Pdf

          public Dtaus2Pdf(java.lang.String dtausfile,
                   java.lang.String pdffile)
                    throws java.io.IOException,
                           DtausException,
                           DocumentException

      Throws:
        `java.io.IOException`
        `DtausException`
        `DocumentException`

  - ### Method Detail

    - #### outputASatz

          private void outputASatz(DtausDateiParser in,
                         Document doc,
                         int logischeDatei)
                            throws DocumentException

      Throws:
        `DocumentException`

    - #### outputESatz

          private void outputESatz(DtausDateiParser in,
                         Document doc)
                            throws DocumentException

      Throws:
        `DocumentException`

    - #### getDetailCell

          private PdfPCell getDetailCell(java.lang.String text,
                               int align)

      Erzeugt eine Zelle der Tabelle.
      Parameters:
        `text` - der anzuzeigende Text.
        `align` - die Ausrichtung.
      Returns:
        die erzeugte Zelle.

    - #### getDetailCell

          private PdfPCell getDetailCell(java.lang.String text,
                               int align,
                               BaseColor backgroundcolor)

      Erzeugt eine Zelle der Tabelle.
      Parameters:
        `text` - der anzuzeigende Text.
        `align` - die Ausrichtung.
        `backgroundcolor` - die Hintergundfarbe.
      Returns:
        die erzeugte Zelle.

    - #### notNull

          private java.lang.String notNull(java.lang.String text)

      Gibt einen Leerstring aus, falls der Text null ist.
      Parameters:
        `text` - der Text.
      Returns:
        der Text oder Leerstring - niemals null.

    - #### main

          public static void main(java.lang.String[] args)